Subject: Re: [PATCH stgit] revised patch for importing series from tarball

From: Clark Williams <[email-masked]>
Date: Thu, 23 Oct 2008 21:53:09 -0500

On Fri, 24 Oct 2008 03:17:08 +0200
Karl Hasselström <[email-masked]> wrote:

> On 2008-10-19 14:16:13 -0500, Clark Williams wrote:
> 
> > I added a simple test to the test harness for import as well.
> 
> Great!
> 
> > Oh and I added '*.elc' to the .gitignore file. May not be that many
> > folks using emacs with stgit, but hey, I am! :)
> 
> Me too (but I have *.elc in my personal ignore file, so I never saw
> it). However, this is an unrelated change, and we don't need to ignore
> .elc files at the top level, only in contrib. I've taken the liberty
> of splitting this out to a separate commit and forging your signature
> on it -- let me know if that's OK and I'll push it out.
> 

Yes, that's fine.

> > patch to allow importing a series from a tar archive
> 
> I turned this into a complete sentence, and removed "patch" since it's
> entirely redundant.
> 
> > --- a/.gitignore
> > +++ b/.gitignore
> > @@ -6,3 +6,4 @@ patches-*
> >  release.sh
> >  setup.cfg.rpm
> >  snapshot.sh
> > +*.elc
> 
> As I said, I put this in a separate patch, and put that ignore pattern
> in contrib.gitignore instead.
> 
Thanks

> >             make_option('--commemail',
> > -                       help = 'use COMMEMAIL as the committer e-mail')
> > +                       help = 'use COMMEMAIL as the committer e-mail'),
> >             ] + make_sign_options()
> 
> This is just a noise change _and_ didn't apply, so I dropped it.
> 

Agreed. 

Thanks for the update.

Clark